Browse a category
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/category \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/category"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/category",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/category"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/category")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/category")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBest Buy endpoints
Browse a category
Browse a category.
GET
/
v1
/
bestbuy
/
category
Browse a category
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/category \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/category"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/category",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/category"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/category")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/category")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBrowse a category.
Credits: 10 per successful request. Failed requests and empty result sets are not charged.
Browse all Best Buy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Category id.
integer
default:"1"
Page. Minimum: 1. Maximum: 100.
Response
{
"query": null,
"page": 1,
"total_results": 7120,
"products": [
{
"sku": "6613865",
"bsin": "JJGQJRKGR5",
"title": "HP - OmniBook X Flip 2-in-1 - 16\" 2K Touchscreen Laptop - Intel Core Ultra 7 (2024) - 16GB Memory - 1TB SSD - Copilot+ PC - Eclipse Gray",
"url": "https://www.bestbuy.com/product/hp-omnibook-x-flip-2-in-1-16-2k-touchscreen-laptop-intel-core-ultra-7-2024-16gb-memory-1tb-ssd-copilot-pc-eclipse-gray/JJGQJRKGR5/sku/6613865",
"brand": "HP",
"upc": "198990145372",
"description": {
"long": "The future has arrived with HP OmniBook X Flip 16 Next Gen AI PC. Whether you want to be entertained or finish creative work, this AI-powered PC has the processor speed and performance to make it happen. Engineered with a dazzling 16\" display and the ability to view it flat, folded, or flipped, you can enjoy vibrant, high-contrast colors in any angle that suits your mood. Made from sleek, recycled metal and designed with a backlit keyboard with large keycaps, your future PC is bright."
},
"price": 699.99,
"regular_price": 1199.99,
"savings": 500.0,
"currency": "USD",
"rating": 4.7,
"review_count": 2330,
"images": [
{
"piscesHref": "https://pisces.bbystatic.com/image2/BestBuy_US/images/products/3909cb40-136f-4a58-b500-4f79b55a0f44.jpg",
"altText": "The text on the image reads: \"Intel Core Ultra 7\".",
"rel": "Front_Zoom"
}
],
"specifications": [
{
"name": "Key Specs",
"specifications": [
{
"displayName": "Screen Type",
"value": "IPS"
}
]
}
],
"features": [],
"fulfillment": {},
"buying_options": {},
"seller": {
"classification": "1P",
"id": "bby"
},
"badges": [],
"questions": {}
}
],
"facets": [
{
"parentFacetField": null,
"displayName": "GIF-Same Day Shipping",
"facetDisplay": "true",
"facetField": "samedayshippingallcondition_facet",
"maxValue": 10,
"values": [
{
"count": 107,
"value": "55423",
"categoryPath": null,
"nestedValues": null,
"__typename": "SearchFacetValue"
}
],
"__typename": "SearchFacet"
}
],
"sort_options": [
{
"value": "Best-Selling",
"displayName": "Best Selling",
"__typename": "SearchSortOption"
}
],
"applied_filters": {
"appliedFacets": [
{
"values": [
"pcmcat138500050001"
],
"id": "category_facet",
"autoFacet": "false",
"__typename": "SearchRequestInfoAppliedFacet"
}
],
"categoryFacet": {
"categoryName": "All Laptops",
"categoryPath": "pcmcat138500050001",
"__typename": "SearchRequestInfoCategoryFacet"
},
"sort": {
"value": "Best-Selling",
"displayName": "Best Selling",
"__typename": "SearchRequestInfoSort"
},
"__typename": "SearchRequestInfo"
}
}
Example
curl --get 'https://scrapebadger.com/v1/bestbuy/category' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'category_id=pcmcat138500050001' \
--data-urlencode 'page=1'

